<% columns = allow_answers? && visitor_can_answer? && @form.responses.map(&:question).any?(&:matrix?) ? 9 : 6 %>
<div class="br-container-lg">
  <div class="m-bottom">
    <%= link_to :back, class: "back-to-list-button" do %>
      <i class="fa-solid fa-chevron-left fa-md"></i>
      Voltar
    <% end %>
  </div>
  <h2 class="questionnaire-step-title"><%= translated_attribute questionnaire.title %></h2>
  <div class="">
    <%= decidim_sanitize_editor_admin translated_attribute questionnaire.description %>
  </div>
  <% unless questionnaire_for.try(:component)&.try(:published?) %>
    <div class="section">
      <div class="callout warning">
        <p><%= t(".questionnaire_not_published.body") %></p>
      </div>
    </div>
  <% end %>
  <% if allow_answers? %>
    <% if visitor_can_answer? %>
      <% if visitor_already_answered? %>
        <div class="section">
          <div class="callout success">
            <h3 class="heading5"><%= t(".questionnaire_answered.title") %></h3>
            <p><%= t(".questionnaire_answered.body") %></p>
          </div>
        </div>
      <% else %>
        <div class="answer-questionnaire">
          <noscript>
            <div class="section">
              <div class="callout warning">
                <h3 class="heading5"><%= t(".questionnaire_js_disabled.title") %></h3>
                <p><%= t(".questionnaire_js_disabled.body") %></p>
              </div>
            </div>
          </noscript>
          <% unless current_participatory_space.can_participate?(current_user) %>
            <div class="section">
              <div class="callout alert">
                <h3 class="heading5"><%= t(".questionnaire_for_private_users.title") %></h3>
                <p><%= t(".questionnaire_for_private_users.body") %></p>
              </div>
            </div>
          <% end %>
          <div class="new-meeting-form">
            <%= decidim_form_for(@form, url: update_url, method: :post, html: { multipart: true, class: "form answer-questionnaire" }, data: { "safe-path" => form_path }) do |form| %>
              <%= form_required_explanation %>
              <%= invisible_captcha %>
              <% answer_idx = 0 %>
              <% cleaned_answer_idx = 0 %>
              <% @form.responses_by_step.each_with_index do |step_answers, step_index| %>
                <div id="step-<%= step_index %>" class="<%= step_index.zero? ? "questionnaire-step" : "questionnaire-step hide" %>" data-toggler=".hide">
                  <% if @form.total_steps > 1 %>
                    <h3 class="section-heading">
                      <%= t(".current_step", step: step_index + 1) %>
                      <span class="answer-questionnaire__steps"><%= t(".of_total_steps", total_steps: @form.total_steps) %></span>
                    </h3>
                  <% end %>
                  <% step_answers.each do |answer| %>
                    <div class="questionary-br-input row column answer question" data-max-choices="<%= answer.question.max_choices %>" data-conditioned="<%= answer.question.display_conditions.any? %>" data-question-id="<%= answer.question.id %>">
                      <% answer.question.display_conditions.each do |display_condition| %>
                        <%= content_tag :div, nil, class: "display-condition", data: display_condition.to_html_data %>
                      <% end %>
                      <%= fields_for "questionnaire[responses][#{answer_idx}]", answer do |answer_form| %>
                        <%= render(
                              "decidim/forms/questionnaires/answer",
                              answer_form: answer_form,
                              answer: answer,
                              answer_idx: answer_idx,
                              cleaned_answer_idx: cleaned_answer_idx,
                              disabled: !current_participatory_space.can_participate?(current_user)
                            ) %>
                      <% end %>
                    </div>
                    <% if !(answer.question.separator? || answer.question.title_and_description?) %>
                      <% cleaned_answer_idx += 1 %>
                    <% end %>
                    <% answer_idx += 1 %>
                  <% end %>
                  <% if step_index + 1 == @form.total_steps %>
                    <% if show_represent_user_group? %>
                      <div class="row column represent-user-group">
                        <%= cell("decidim/represent_user_group", form) %>
                      </div>
                    <% end %>
                    <% if show_public_participation? %>
                      <div class="row column public-participation">
                        <%= cell("decidim/public_participation", form) %>
                      </div>
                    <% end %>
                    <p class="tos_agreement_title">Termos e Condições </p>
                        <%= decidim_sanitize_editor_admin translated_attribute(questionnaire.tos) %>
                    <div class="tos_agreemen_subtitle">
                      <%= form.check_box :tos_agreement, label: t(".tos_agreement"), id: "questionnaire_tos_agreement", disabled: !current_participatory_space.can_participate?(current_user) %>
                    </div>
                  <% end %>
                  <%= cell(
                        "decidim/forms/step_navigation",
                        step_index,
                        total_steps: @form.total_steps,
                        button_disabled: !current_participatory_space.can_participate?(current_user),
                        form: form
                      ) %>
                </div>
              <% end %>
            <% end %>
          </div>
        </div>
      <% end %>
    <% else %>
      <div class="answer-questionnaire">
        <h3 class="section-heading"><%= t(".answer_questionnaire.title") %></h3>
        <p>
          <%= t(".answer_questionnaire.anonymous_user_message", sign_in_link: decidim.new_user_session_path, sign_up_link: decidim.new_user_registration_path).html_safe %>
        </p>
        <ol>
          <%= cell("decidim/forms/question_readonly", collection: @questionnaire.questions.not_conditioned) %>
        </ol>
      </div>
    <% end %>
  <% else %>
    <div class="section">
      <div class="callout warning">
        <h3 class="heading4"><%= t(".questionnaire_closed.title") %></h3>
        <p><%= t(".questionnaire_closed.body") %></p>
      </div>
    </div>
  <% end %>
</div>